Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface LBConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, NotificationBroadcaster, NotificationEmitter, PropertiesAccess, ServerRefConfigCR

public interface LBConfig
extends AMXConfig, PropertiesAccess, ServerRefConfigCR

Configuration for the lb-config element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.ServerRefConfigCR
`DISABLE_TIMEOUT_IN_MINUTES_KEY, ENABLED_KEY, LB_ENABLED_KEY`

Method Summary
`LBClusterRefConfig` | `createLBClusterRefConfig(java.lang.String clusterName, java.util.Map reserved)` Creates a new cluster-ref for an lb-config.
`void` | `exportLBConfig(java.lang.String fileName)` Exports this LB config information to the file specified.
`java.util.Map` | `getLBClusterRefConfigMap()` Calls Container.getContaineeMap( XTypes.LB_CLUSTER_REF_CONFIG ).
`void` | `removeLBClusterRefConfig(java.lang.String clusterName)` Removes a cluster-ref for an lb-config.

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.config.ServerRefConfigCR
`createServerRefConfig, createServerRefConfig, removeServerRefConfig`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getLBClusterRefConfigMap

    public java.util.Map getLBClusterRefConfigMap()

  Calls Container.getContaineeMap( XTypes.LB_CLUSTER_REF_CONFIG ).

  Returns:
    Map of LBClusterRefConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### exportLBConfig

    public void exportLBConfig(java.lang.String fileName)

  Exports this LB config information to the file specified. If no file name/path is passed. It generates loadbalancer.xml in the current directory.

  Parameters:
    `fileName` - fileName or file path of the generated xml

### createLBClusterRefConfig

    public LBClusterRefConfig createLBClusterRefConfig(java.lang.String clusterName,
                                                       java.util.Map reserved)

  Creates a new cluster-ref for an lb-config.

  Parameters:
    `clusterName` - A reference to the name of a cluster.
    `reserved` - reserved for future use
  Returns:
    A proxy to the LBClusterRefConfig MBean.

### removeLBClusterRefConfig

    public void removeLBClusterRefConfig(java.lang.String clusterName)

  Removes a cluster-ref for an lb-config.

  Parameters:
    `clusterName` - A reference to the name of a cluster.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.